load tt_fixed_first_and_last_aps

goodcount = goodcount1 
%% Either load in data stored in .mat file varyparameters
%% Or re-run all simulations
colors = repmat('krgbmc',1,50) ;
actionpotentials=actionpotentials1;
catransients=catransients1;
for i=1:goodcount

  tnow = actionpotentials{2*i-1} ;
  Vnow = actionpotentials{2*i} ;
  Canow = catransients{2*i} ;
  Vrest(i) = Vnow(1) ;


  Vderiv = diff(Vnow)./diff(tnow) ;
  [dVdtmax,dexmax] = max(Vderiv) ;
  %% Time of maximum dV/dt, consider this beginning of action potential
  tinit = tnow(dexmax) ;
  upstrokes(i) = dVdtmax ;  

  %% Then determine peak voltage of action potential, for two reasons
  %% 1) Because repolarization must, by definition, occur after this
  %% 2) To compute 50%, 90%, etc., must have this value
  [peakV,peakdex] = max(Vnow) ;
  Vpeak(i) = peakV ;
  tpeak = tnow(peakdex) ;
  repoldex = find(tnow > tpeak & Vnow < -60) ;
  repoltime = tnow(repoldex(1)) ;
  APD1(i) = repoltime - tinit ;

  
  Ca_diastole = Canow(1) ;
  [Ca_peak,dexCa] = max(Canow) ;
  DCa1(i) = Ca_peak-Ca_diastole ;


end
save first_AP APD1 DCa1

clear all

load tt_fixed_first_and_last_aps

goodcount = goodcount2;
%% Either load in data stored in .mat file varyparameters
%% Or re-run all simulations
colors = repmat('krgbmc',1,50) ;
actionpotentials=actionpotentials2;
catransients=catransients2;
for i=1:goodcount

  tnow = actionpotentials{2*i-1} ;
  Vnow = actionpotentials{2*i} ;
  Canow = catransients{2*i} ;
  Vrest(i) = Vnow(1) ;


  Vderiv = diff(Vnow)./diff(tnow) ;
  [dVdtmax,dexmax] = max(Vderiv) ;
  %% Time of maximum dV/dt, consider this beginning of action potential
  tinit = tnow(dexmax) ;
  upstrokes(i) = dVdtmax ;  

  %% Then determine peak voltage of action potential, for two reasons
  %% 1) Because repolarization must, by definition, occur after this
  %% 2) To compute 50%, 90%, etc., must have this value
  [peakV,peakdex] = max(Vnow) ;
  Vpeak(i) = peakV ;
  tpeak = tnow(peakdex) ;
  repoldex = find(tnow > tpeak & Vnow < -60) ;
  repoltime = tnow(repoldex(1)) ;
  APD2(i) = repoltime - tinit ;

  
  Ca_diastole = Canow(1) ;
  [Ca_peak,dexCa] = max(Canow) ;
  DCa2(i) = Ca_peak-Ca_diastole ;


end
save last_AP APD2 DCa2

clear all
load first_AP
load last_AP

APD_diff=APD2-APD1;
DCa_diff=DCa2-DCa1;
save differences APD_diff DCa_diff