% Hund et al model
% 1) Circulation 110:3168-317, 2004
% 2) revised in JMCC 2008
% dog ventricular cell
%   
%    t   time variable
%    V   membrane potential
%% Maximum conductances of ionic currents
GK1_ = 0.5 ;                  % mS/cm^2
GKs_ = 0.028975 ;             % mS/cm^2
Gto_ =  0.79;                 % mS/cm^2
kNaCa =  5.3;                 % mA/cm^2
kappa_rel = 0.1 ;             % mA/cm^2
Vup = 0.008375 ;              % mA/cm^2
Kleak =  0.00628125;          % mA/cm^2



conductances = [GK1_;GKs_;Gto_;kNaCa;kappa_rel;Vup;Kleak] ;

baselineparameters = conductances;
n_parameters = length(baselineparameters);

sigmaG =  0.1823;     % standard deviation for conductances

 variations = 500 ;

for ii=1:variations
 scaling = exp(sigmaG*randn(n_parameters,1)) ;
 newparams = scaling.*baselineparameters ;
 paramscell = num2cell(newparams) ;
 allparameters(:,ii) = newparams ;
      
end
  
save hund_fixed_params allparameters variations
