
[samples,outputs] = size(X) ;
[samples,conductances] = size(Y) ;



% figure
% handle = gcf ;
% set(handle,'Position',[20,20,500,800])
% set(handle,'PaperPosition',[1 1 5 8]) ;
% 
% for i=1:3
% 
%   subplot(3,1,i)
%   hold on
%   if (logtransform(i))
%     plot(exp(Y(:,i)),exp(Yhat(:,i)),'ro')
%     plotmin = min(min([exp(Y(:,i)),exp(Yhat(:,i))])) ;
%     plotmax = max(max([exp(Y(:,i)),exp(Yhat(:,i))])) ;
%   else
%     plot(Y(:,i),Yhat(:,i),'ro')
%     plotmin = min([Y(:,i);Yhat(:,i)]) ;
%     plotmax = max([Y(:,i);Yhat(:,i)]) ;
%   end  
%   xlabel(['True ',outputlabels{i}]) 
%   ylabel(['Predicted ',outputlabels{i}])
%   axis([plotmin plotmax plotmin plotmax])
%   plot([plotmin,plotmax],[plotmin,plotmax],'k:')
%   set(gca,'TickDir','Out') 
% 
% end



% figure
% bar(R2each)
% colormap(graypos)
% xticklabel_rotate([1:n_parameters],90,Glabels,'Fontsize',10,'Interpreter','tex') ;

% figure
% handle = gcf ;
% set(handle,'Position',[20,20,1100,950])
% set(handle,'PaperPosition',[1 1 11 9.5]) ;
% for i=1:6
%     subplot(3,2,i)
%     hold on
%     plot(exp(Y(:,i)),exp(Yhat(:,i)),'ro')
%     plotmin = min(min([exp(Y(:,i)),exp(Yhat(:,i))])) ;
%     plotmax = max(max([exp(Y(:,i)),exp(Yhat(:,i))])) ;
%     xlabel(['True G',Glabels{i}])
%     ylabel(['Predicted G',Glabels{i}])
%     axis([plotmin plotmax plotmin plotmax])
%     plot([plotmin,plotmax],[plotmin,plotmax],'k:')
%     set(gca,'TickDir','Out')
%     title(['R^2 = ',num2str(R2each(i))])
% end

% % % % 
% % % % 
% % % % Scatterplots
% % % % 
% % % % 

% % 
% % Remember, in this case X is outputs, Y is conductances
% % 

bottompercent = 0.45 ;
toppercent = 0.55 ;

testvalues = zeros(conductances,outputs) ;
P_inrange = zeros(conductances,outputs) ;
Xranges = zeros(outputs,2) ;

histomax = 0 ;

% % Initial loop only considers individual outputs
% % Only narrrows down parameters for special cases

for iii=1:conductances

  figure(iii)
  Yvalues = Y(:,iii) ;
  Ysort = sort(Yvalues) ;
  Ymin = Ysort(fix(bottompercent*length(Ysort))) ;
  Ymax = Ysort(fix(toppercent*length(Ysort))) ;
  bins = linspace(min(Yvalues),max(Yvalues),30) ;

  for ii=1:outputs
      
    subplot(4,4,ii)
    Xvalues = X(:,ii) ;
    Xsort = sort(Xvalues) ;
    Xmin = Xsort(fix(bottompercent*length(Xsort))) ;
    Xmax = Xsort(fix(toppercent*length(Xsort))) ;
    Xranges(ii,:) = [Xmin,Xmax] ;
    middledices = find(Xvalues >= Xmin & Xvalues <= Xmax) ;
    testvalues(iii,ii) = length(middledices) ;
    Ysome = Yvalues(middledices) ;
    P_inrange(iii,ii) = sum(Ysome >= Ymin & Ysome <= Ymax)/length(Ysome) ;
    histo = histc(Ysome,bins) ;
    if (max(histo) > histomax)
      histomax = max(histo) ;
    end
    bar(bins,histo,'histc')
  end
end

for iii=1:conductances
  figure(iii)
  Yvalues = Y(:,iii) ;

  for ii=1:outputs
    subplot(4,4,ii)
%     colormap(graypos)
    set(gca,'TickDir','Out')
    axis([min(Yvalues) max(Yvalues) 0 histomax])
  end
  print('-depsc',['sixhistograms_',int2str(iii)]) ;
end
    

figure
hold on
for i=1:16
plot(P_inrange(i,:),[colors(i),'-o'])
end
set(gca,'TickDir','Out')

% % This loop should consider each output sequentially
% % Some improve constraints, others do not
% % Need to determine best way to normalize histograms

testvalues = zeros(conductances,outputs) ;
P_inrange = zeros(conductances,outputs) ;

histomax = 0 ;

Xpercentiles = zeros(99,outputs) ;
Ypercentiles = zeros(99,conductances) ;

for iii=1:outputs
  Xsort = sort(X(:,iii)) ;
  for ii=1:99
    Xpercentiles(ii,iii) = Xsort(fix(ii*length(Xsort)/100)) ;
  end
end
for iii=1:conductances
  Ysort = sort(Y(:,iii)) ;
  for ii=1:99
    Ypercentiles(ii,iii) = Ysort(fix(ii*length(Ysort)/100)) ;
  end
end
  
Ydistance = sum((Y - Yhat).^2,2) ;
%[pos,besttrial] = min(Ydistance) ;
[Ysortpos,sortdices] = sort(Ydistance) ;
Xbest = X(sortdices(16),:) ;
Ybest = Y(sortdices(16),:) ;

[posmin,Xbestpct] = min(abs(ones(99,1)*Xbest - Xpercentiles)) ;
[posmin,Ybestpct] = min(abs(ones(99,1)*Ybest - Ypercentiles)) ;

for iii=1:conductances

  figure(iii+conductances+1)
  Yvalues = Y(:,iii) ;
  bins = linspace(min(Yvalues),max(Yvalues),30) ;
  Ymin = Ypercentiles(Ybestpct(iii)-5,iii) 
  Ymax = Ypercentiles(Ybestpct(iii)+5,iii) 
  somedices = 1:length(Yvalues) ;
  
  for ii=1:outputs
      
    subplot(4,4,ii)
    Xvalues = X(:,ii) ;
    Xmin = Xpercentiles(Xbestpct(ii)-5,ii) 
    Xmax = Xpercentiles(Xbestpct(ii)+5,ii) 


    somenewdices = find(Xvalues >= Xmin & Xvalues <= Xmax) ;
    somedices = intersect(somedices,somenewdices) ;
    testvalues(iii,ii) = length(somedices) ;
    Ysome = Yvalues(somedices) ;
    P_inrange(iii,ii) = sum(Ysome >= Ymin & Ysome <= Ymax)/length(Ysome) ;
    histo = histc(Ysome,bins) ;
    bar(bins,histo,'histc')
%     colormap(graypos)
    set(gca,'TickDir','Out')
  end
end

for iii=1:conductances
  figure(iii)
  Yvalues = Y(:,iii) ;

  for ii=1:outputs
    Xvalues = X(:,ii) ;
    subplot(4,4,ii)
   axis([min(Yvalues) max(Yvalues) 0 histomax])

  end
  print('-depsc',['sixhistograms_',int2str(iii)]) ;
end
    

figure
hold on
for i=1:16
plot(P_inrange(i,:),[colors(i),'-o'])
end
set(gca,'TickDir','Out')

%     figure
%     handle = gcf ;
%     set(handle,'Position',[20,160,800,800])
%     set(handle,'PaperPosition',[1 1 11 9.5]) ;
%     yrange = max(Y(:,ii)) - min(Y(:,ii)) ;
%     for i=1:6
%       subplot(3,2,i)
%       plot(Y(:,ii),X(:,i),'ro')
%       xrange = max(X(:,i)) - min(X(:,i)) ;
%       axis([min(Y(:,ii)) - 0.05*yrange max(Y(:,ii)) + 0.05*yrange  ...
%         min(X(:,i)) - 0.05*xrange max(X(:,i)) + 0.05*xrange])
%     end
%   end
% end

