
load tt_fixed_params
goodcount = goodcount 
%% Either load in data stored in .mat file varyparameters
%% Or re-run all simulations
colors = repmat('krgbmc',1,50) ;

for i=1:goodcount

  tnow = actionpotentials{2*i-1} ;
  Vnow = actionpotentials{2*i} ;
  Canow = catransients{2*i} ;
  Vrest(i) = Vnow(1) ;


  Vderiv = diff(Vnow)./diff(tnow) ;
  [dVdtmax,dexmax] = max(Vderiv) ;
  %% Time of maximum dV/dt, consider this beginning of action potential
  tinit = tnow(dexmax) ;
  upstrokes(i) = dVdtmax ;  

  %% Then determine peak voltage of action potential, for two reasons
  %% 1) Because repolarization must, by definition, occur after this
  %% 2) To compute 50%, 90%, etc., must have this value
  [peakV,peakdex] = max(Vnow) ;
  Vpeak(i) = peakV ;
  tpeak = tnow(peakdex) ;
  repoldex = find(tnow > tpeak & Vnow < -60) ;
  repoltime = tnow(repoldex(1)) ;
  APD(i) = repoltime - tinit ;

  
  Ca_diastole = Canow(1) ;
  [Ca_peak,dexCa] = max(Canow) ;
  DCa(i) = Ca_peak-Ca_diastole ;


end

Y = [log(APD)',-Vrest',Vpeak',upstrokes',log(DCa)'] ;

clear tnow Vnow Canow Vderiv2 pos dexmax tinit peakV peakdex tpeak 
clear repoldex repoltime Ca_diastole Ca_peak dexCa

load derivs_fixed

Y = [Y,log(Vmax_min)',log(Vmin_max)',log(tmin_max)'];

clear actionpotentials

load TNNP_alternans_fixed
Y=[Y,log(BCL_alt)];

clear actionpotentials

load threshold_fixed

Y=[Y,Ithresh];
clear actionpotentials

load restitution_fixed
Y=[Y, log(maxslopes)'];
clear actionpotentials

load ca_metrics
Y=[Y, time_peak', log(decay_time)'];

load tt_fixed_pause
for i=1:goodcount

  tnow = actionpotentials{2*i-1} ;
  Vnow = actionpotentials{2*i} ;
  Canow = catransients{2*i} ;
  Vrest(i) = Vnow(1) ;


  Vderiv = diff(Vnow)./diff(tnow) ;
  [dVdtmax,dexmax] = max(Vderiv) ;
  %% Time of maximum dV/dt, consider this beginning of action potential
  tinit = tnow(dexmax) ;
  upstrokes(i) = dVdtmax ;  

  %% Then determine peak voltage of action potential, for two reasons
  %% 1) Because repolarization must, by definition, occur after this
  %% 2) To compute 50%, 90%, etc., must have this value
  [peakV,peakdex] = max(Vnow) ;
  Vpeak(i) = peakV ;
  tpeak = tnow(peakdex) ;
  repoldex = find(tnow > tpeak & Vnow < -60) ;
  repoltime = tnow(repoldex(1)) ;
  APD_pause(i) = repoltime - tinit ;
  Ca_diastole = Canow(1) ;
  [Ca_peak,dexCa] = max(Canow) ;
  DCa_pause(i) = Ca_peak-Ca_diastole ;


end

Y=[Y, log(APD_pause)',log(DCa_pause)'];
clear tnow Vnow Canow Vderiv2 pos dexmax tinit peakV peakdex tpeak 
clear repoldex repoltime Ca_diastole Ca_peak dexCa

load derivs_fixed_pause
Y = [Y,log(Vmax_min_pause)',log(Vmin_max_pause)',log(tmin_max_pause)'];

APD_and_DCa_diff

Y=[Y, APD_diff',DCa_diff'];

load tt_fixed_hypokalemia
for i=1:goodcount

  tnow = actionpotentials{2*i-1} ;
  Vnow = actionpotentials{2*i} ;
  Canow = catransients{2*i} ;
  Vrest(i) = Vnow(1) ;


  Vderiv = diff(Vnow)./diff(tnow) ;
  [dVdtmax,dexmax] = max(Vderiv) ;
  %% Time of maximum dV/dt, consider this beginning of action potential
  tinit = tnow(dexmax) ;
  upstrokes(i) = dVdtmax ;  

  %% Then determine peak voltage of action potential, for two reasons
  %% 1) Because repolarization must, by definition, occur after this
  %% 2) To compute 50%, 90%, etc., must have this value
  [peakV,peakdex] = max(Vnow) ;
  Vpeak(i) = peakV ;
  tpeak = tnow(peakdex) ;
  repoldex = find(tnow > tpeak & Vnow < -60) ;
  repoltime = tnow(repoldex(1)) ;
  APDhypo(i) = repoltime - tinit ;
  Ca_diastole = Canow(1) ;
  [Ca_peak,dexCa] = max(Canow) ;
  DCahypo(i) = Ca_peak-Ca_diastole ;


end

Y=[Y, log(APDhypo)'];
clear tnow Vnow Canow Vderiv2 pos dexmax tinit peakV peakdex tpeak 
clear repoldex repoltime Ca_diastole Ca_peak dexCa

load tt_fixed_hyperkalemia
for i=1:goodcount

  tnow = actionpotentials{2*i-1} ;
  Vnow = actionpotentials{2*i} ;
  Canow = catransients{2*i} ;
  Vrest(i) = Vnow(1) ;


  Vderiv = diff(Vnow)./diff(tnow) ;
  [dVdtmax,dexmax] = max(Vderiv) ;
  %% Time of maximum dV/dt, consider this beginning of action potential
  tinit = tnow(dexmax) ;
  upstrokes(i) = dVdtmax ;  

  %% Then determine peak voltage of action potential, for two reasons
  %% 1) Because repolarization must, by definition, occur after this
  %% 2) To compute 50%, 90%, etc., must have this value
  [peakV,peakdex] = max(Vnow) ;
  Vpeak(i) = peakV ;
  tpeak = tnow(peakdex) ;
  repoldex = find(tnow > tpeak & Vnow < -60) ;
  repoltime = tnow(repoldex(1)) ;
  APDhyper(i) = repoltime - tinit ;
  Ca_diastole = Canow(1) ;
  [Ca_peak,dexCa] = max(Canow) ;
  DCahyper(i) = Ca_peak-Ca_diastole ;


end

Y=[Y, log(APDhyper)'];
clear tnow Vnow Canow Vderiv2 pos dexmax tinit peakV peakdex tpeak 
clear repoldex repoltime Ca_diastole Ca_peak dexCa

load derivs_fixed_hypo
Y=[Y, log(Vmax_min_hypo)',log(Vmin_max_hypo)',log(tmin_max_hypo)'];
clear actionpotentials

load derivs_fixed_hyper
Y=[Y, log(Vmax_min_hyper)',log(Vmin_max_hyper)',log(tmin_max_hyper)'];

clear actionpotentials

load tt_fixed_intracellular
Y=[Y,Ca', na', k'];
clear actionpotentials

load frequency_fixed



for i=1:variations
  tslow = actionpotentials{2*i-1,1}; 
  Vslow = actionpotentials{2*i,1}; 
  Vderiv = diff(Vslow)./diff(tslow) ;
  [dVdtmax,dexmax] = max(Vderiv) ;
  %% Time of maximum dV/dt, consider this beginning of action potential
  tinit = tslow(dexmax) ;
  [peakV,peakdex] = max(Vslow) ;
  tpeak = tslow(peakdex) ;
  repoldex = find(tslow > tpeak & Vslow < -60) ;
  repoltime = tslow(repoldex(1)) ;
  APDslow = repoltime - tinit ;

  tfast = actionpotentials{2*i-1,2}; 
  Vfast = actionpotentials{2*i,2}; 
  if (length(tfast))
    Vderiv = diff(Vfast)./diff(tfast) ;
    [dVdtmax,dexmax] = max(Vderiv) ;
    %% Time of maximum dV/dt, consider this beginning of action potential
    tinit = tfast(dexmax) ;
    [peakV,peakdex] = max(Vfast) ;
    tpeak = tfast(peakdex) ;
    repoldex = find(tfast > tpeak & Vfast < -60) ;
    repoltime = tfast(repoldex(1)) ;
    APDfast = repoltime - tinit ;
  else
    APDfast = 1e6 ;
  end
  adaptation(i) = APDslow - APDfast ; 
end

goodtrials = find(adaptation > 0) ;
Y = Y(goodtrials,:) ;
adaptation = adaptation(goodtrials) ;
APD = APD(goodtrials) ;
adaptation = adaptation./APD ;
Y = [Y,log(adaptation)'] ;

allparameters = allparameters(:,goodtrials) ;
variations = length(goodtrials) ;
X = log(allparameters)' ;

ysize = size(Y) ;
outputs = ysize(2) ;


nfact2keep = rank(X) ;
[T,P,W,Wstar,U,b,C,Bpls,Bpls_star,Xhat,Yhat,R2X,R2Y]=...
    PLS_nipals(X,Y,nfact2keep);



SSYT = sum((Y-ones(goodcount,1)*mean(Y)).^2);
SSYR = sum((Yhat-ones(goodcount,1)*mean(Y)).^2);
R2each = SSYR./SSYT;

figure
handle = gcf ;
set(handle,'Position',[20,20,950,950])
set(handle,'PaperPosition',[1 1 9.5 9.5]) ;

subplot(2,2,1)
hold on
plot(exp(Y(:,1)),exp(Yhat(:,1)),'ro')
plotmin = min(min([exp(Y(:,1)),exp(Yhat(:,1))])) ;
plotmax = max(max([exp(Y(:,1)),exp(Yhat(:,1))])) ;
xlabel('True APD')
ylabel('Predicted APD')
title(['R^2 = ',num2str(R2each(1))])
axis([plotmin plotmax plotmin plotmax])
plot([plotmin,plotmax],[plotmin,plotmax],'k:')
set(gca,'TickDir','Out')

subplot(2,2,2)
hold on
plot(-Y(:,2),-Yhat(:,2),'ro')
plot(-Y(:,2),-Yhat(:,2),'ro')
plotmax = -min([Y(:,2);Yhat(:,2)]) ;
plotmin = -max([Y(:,2);Yhat(:,2)]) ;
xlabel('True V_r_e_s_t')
ylabel('Predicted V_r_e_s_t')
title(['R^2 = ',num2str(R2each(2))])
axis([plotmin plotmax plotmin plotmax])
plot([plotmin,plotmax],[plotmin,plotmax],'k:')
set(gca,'TickDir','Out')

subplot(2,2,3)
hold on
plot(Y(:,3),Yhat(:,3),'ro')
plot(Y(:,3),Yhat(:,3),'ro')
plotmin = min([Y(:,3);Yhat(:,3)]) ;
plotmax = max([Y(:,3);Yhat(:,3)]) ;
xlabel('True V_p_e_a_k')
ylabel('Predicted V_p_e_a_k')
title(['R^2 = ',num2str(R2each(3))])
axis([plotmin plotmax plotmin plotmax])
plot([plotmin,plotmax],[plotmin,plotmax],'k:')
set(gca,'TickDir','Out')

subplot(2,2,4)
hold on
plot(Y(:,4),Yhat(:,4),'ro')
plotmin = min([Y(:,4);Yhat(:,4)]) ;
plotmax = max([Y(:,4);Yhat(:,4)]) ;
xlabel('True upstroke')
ylabel('Predicted upstroke')
title(['R^2 = ',num2str(R2each(4))])
axis([plotmin plotmax plotmin plotmax])
plot([plotmin,plotmax],[plotmin,plotmax],'k:')
set(gca,'TickDir','Out')

figure
handle = gcf ;
set(handle,'Position',[20,20,950,950])
set(handle,'PaperPosition',[1 1 9.5 9.5]) ;


subplot(3,2,1)
hold on
plot(exp(Y(:,5)),exp(Yhat(:,5)),'ro')
plotmin = min(min([exp(Y(:,5)),exp(Yhat(:,5))])) ;
plotmax = max(max([exp(Y(:,5)),exp(Yhat(:,5))])) ;
xlabel('True D[Ca^2^+]_i')
ylabel('Predicted D[Ca^2^+]_i')
title(['R^2 = ',num2str(R2each(5))])
axis([plotmin plotmax plotmin plotmax])
plot([plotmin,plotmax],[plotmin,plotmax],'k:')
set(gca,'TickDir','Out')

subplot(3,2,2)
hold on
plot(exp(Y(:,6)),exp(Yhat(:,6)),'ro')
plotmin = min(min([exp(Y(:,6)),exp(Yhat(:,6))])) ;
plotmax = max(max([exp(Y(:,6)),exp(Yhat(:,6))])) ;
xlabel('True Vmaxmin')
ylabel('Predicted Vmaxmin')
title(['R^2 = ',num2str(R2each(6))])
axis([plotmin plotmax plotmin plotmax])
plot([plotmin,plotmax],[plotmin,plotmax],'k:')
set(gca,'TickDir','Out')

subplot(3,2,3)
hold on
plot(exp(Y(:,7)),exp(Yhat(:,7)),'ro')
plotmin = min(min([exp(Y(:,7)),exp(Yhat(:,7))])) ;
plotmax = max(max([exp(Y(:,7)),exp(Yhat(:,7))])) ;
xlabel('True Vminmax')
ylabel('Predicted Vminmax')
title(['R^2 = ',num2str(R2each(7))])
axis([plotmin plotmax plotmin plotmax])
plot([plotmin,plotmax],[plotmin,plotmax],'k:')
set(gca,'TickDir','Out')



subplot(3,2,4)
hold on
plot(exp(Y(:,8)),exp(Yhat(:,8)),'ro')
plotmin = min(min([exp(Y(:,8)),exp(Yhat(:,8))])) ;
plotmax = max(max([exp(Y(:,8)),exp(Yhat(:,8))])) ;
xlabel('True tminmax')
ylabel('Predicted tminmax')
title(['R^2 = ',num2str(R2each(8))])
axis([plotmin plotmax plotmin plotmax])
plot([plotmin,plotmax],[plotmin,plotmax],'k:')
set(gca,'TickDir','Out')

subplot(3,2,5)
hold on
plot(exp(Y(:,9)),exp(Yhat(:,9)),'ro')
plotmin = min(min([exp(Y(:,9)),exp(Yhat(:,9))])) ;
plotmax = max(max([exp(Y(:,9)),exp(Yhat(:,9))])) ;
xlabel('True BCL')
ylabel('Predicted BCL')
title(['R^2 = ',num2str(R2each(9))])
axis([plotmin plotmax plotmin plotmax])
plot([plotmin,plotmax],[plotmin,plotmax],'k:')
set(gca,'TickDir','Out')
print -depsc truevspredict_tt_1

subplot(3,2,6)
hold on
plot(Y(:,10),Yhat(:,10),'ro')
plot(Y(:,10),Yhat(:,10),'ro')
plotmin = min([Y(:,10);Yhat(:,10)]) ;
plotmax = max([Y(:,10);Yhat(:,10)]) ;
xlabel('True Ithresh')
ylabel('Predicted Ithresh')
title(['R^2 = ',num2str(R2each(10))])
axis([plotmin plotmax plotmin plotmax])
plot([plotmin,plotmax],[plotmin,plotmax],'k:')
set(gca,'TickDir','Out')

figure
handle = gcf ;
set(handle,'Position',[20,20,950,950])
set(handle,'PaperPosition',[1 1 9.5 9.5]) ;

subplot(2,2,1)
hold on
plot(exp(Y(:,11)),exp(Yhat(:,11)),'ro')
plotmin = min(min([exp(Y(:,11)),exp(Yhat(:,11))])) ;
plotmax = max(max([exp(Y(:,11)),exp(Yhat(:,11))])) ;
xlabel('True maxslope')
ylabel('Predicted maxslope')
title(['R^2 = ',num2str(R2each(11))])
axis([plotmin plotmax plotmin plotmax])
plot([plotmin,plotmax],[plotmin,plotmax],'k:')
set(gca,'TickDir','Out')

subplot(2,2,2)
hold on
plot(Y(:,12),Yhat(:,12),'ro')
plotmin = min([Y(:,12);Yhat(:,12)]) ;
plotmax = max([Y(:,12);Yhat(:,12)]) ;
xlabel('True time to peak')
ylabel('Predicted time to peak')
title(['R^2 = ',num2str(R2each(12))])
axis([plotmin plotmax plotmin plotmax])
plot([plotmin,plotmax],[plotmin,plotmax],'k:')
set(gca,'TickDir','Out')

subplot(2,2,3)
hold on
plot(exp(Y(:,13)),exp(Yhat(:,13)),'ro')
plotmin = min(min([exp(Y(:,13)),exp(Yhat(:,13))])) ;
plotmax = max(max([exp(Y(:,13)),exp(Yhat(:,13))])) ;
xlabel('True decay time')
ylabel('Predicted decay time')
title(['R^2 = ',num2str(R2each(13))])
axis([plotmin plotmax plotmin plotmax])
plot([plotmin,plotmax],[plotmin,plotmax],'k:')
set(gca,'TickDir','Out')



subplot(2,2,4)
hold on
plot(exp(Y(:,14)),exp(Yhat(:,14)),'ro')
plotmin = min(min([exp(Y(:,14)),exp(Yhat(:,14))])) ;
plotmax = max(max([exp(Y(:,14)),exp(Yhat(:,14))])) ;
xlabel('True APD_p_a_u_s_e')
ylabel('Predicted APD_p_a_u_s_e')
title(['R^2 = ',num2str(R2each(14))])
axis([plotmin plotmax plotmin plotmax])
plot([plotmin,plotmax],[plotmin,plotmax],'k:')
set(gca,'TickDir','Out')

figure
handle = gcf ;
set(handle,'Position',[20,20,950,950])
set(handle,'PaperPosition',[1 1 9.5 9.5]) ;

subplot(2,2,1)
hold on
plot(exp(Y(:,15)),exp(Yhat(:,15)),'ro')
plotmin = min(min([exp(Y(:,15)),exp(Yhat(:,15))])) ;
plotmax = max(max([exp(Y(:,15)),exp(Yhat(:,15))])) ;
xlabel('True DCa_p_a_u_s_e')
ylabel('Predicted DCa_p_a_u_s_e')
title(['R^2 = ',num2str(R2each(15))])
axis([plotmin plotmax plotmin plotmax])
plot([plotmin,plotmax],[plotmin,plotmax],'k:')
set(gca,'TickDir','Out')

subplot(2,2,2)
hold on
plot(exp(Y(:,16)),exp(Yhat(:,16)),'ro')
plotmin = min(min([exp(Y(:,16)),exp(Yhat(:,16))])) ;
plotmax = max(max([exp(Y(:,16)),exp(Yhat(:,16))])) ;
xlabel('True Vmaxmin_p_a_u_s_e')
ylabel('Predicted Vmaxmin_p_a_u_s_e')
title(['R^2 = ',num2str(R2each(16))])
axis([plotmin plotmax plotmin plotmax])
plot([plotmin,plotmax],[plotmin,plotmax],'k:')
set(gca,'TickDir','Out')


subplot(2,2,3)
hold on
plot(exp(Y(:,17)),exp(Yhat(:,17)),'ro')
plotmin = min(min([exp(Y(:,17)),exp(Yhat(:,17))])) ;
plotmax = max(max([exp(Y(:,17)),exp(Yhat(:,17))])) ;
xlabel('True Vminmax_p_a_u_s_e')
ylabel('Predicted Vminmax_p_a_u_s_e')
title(['R^2 = ',num2str(R2each(17))])
axis([plotmin plotmax plotmin plotmax])
plot([plotmin,plotmax],[plotmin,plotmax],'k:')
set(gca,'TickDir','Out')


subplot(2,2,4)
hold on
plot(exp(Y(:,18)),exp(Yhat(:,18)),'ro')
plotmin = min(min([exp(Y(:,18)),exp(Yhat(:,18))])) ;
plotmax = max(max([exp(Y(:,18)),exp(Yhat(:,18))])) ;
xlabel('True tminmax_p_a_u_s_e')
ylabel('Predicted tminmax_p_a_u_s_e')
title(['R^2 = ',num2str(R2each(18))])
axis([plotmin plotmax plotmin plotmax])
plot([plotmin,plotmax],[plotmin,plotmax],'k:')
set(gca,'TickDir','Out')


figure
handle = gcf ;
set(handle,'Position',[20,20,950,950])
set(handle,'PaperPosition',[1 1 9.5 9.5]) ;

subplot(2,2,1)
hold on
plot(Y(:,19),Yhat(:,19),'ro')
plotmin = min([Y(:,19);Yhat(:,19)]) ;
plotmax = max([Y(:,19);Yhat(:,19)]) ;
xlabel('True APD_d_i_f_f')
ylabel('Predicted APD_d_i_f_f')
title(['R^2 = ',num2str(R2each(19))])
axis([plotmin plotmax plotmin plotmax])
plot([plotmin,plotmax],[plotmin,plotmax],'k:')
set(gca,'TickDir','Out')

subplot(2,2,2)
hold on
plot(Y(:,20),Yhat(:,20),'ro')
plotmin = min([Y(:,20);Yhat(:,20)]) ;
plotmax = max([Y(:,20);Yhat(:,20)]) ;
xlabel('True DCa_d_i_f_f')
ylabel('Predicted Dca_d_i_f_f')
title(['R^2 = ',num2str(R2each(20))])
axis([plotmin plotmax plotmin plotmax])
plot([plotmin,plotmax],[plotmin,plotmax],'k:')
set(gca,'TickDir','Out')


subplot(2,2,3)
hold on
plot(exp(Y(:,21)),exp(Yhat(:,21)),'ro')
plotmin = min(min([exp(Y(:,21)),exp(Yhat(:,21))])) ;
plotmax = max(max([exp(Y(:,21)),exp(Yhat(:,21))])) ;
xlabel('True APD_h_y_p_o')
ylabel('Predicted APD_h_y_p_o')
title(['R^2 = ',num2str(R2each(21))])
axis([plotmin plotmax plotmin plotmax])
plot([plotmin,plotmax],[plotmin,plotmax],'k:')
set(gca,'TickDir','Out')


subplot(2,2,4)
hold on
plot(exp(Y(:,22)),exp(Yhat(:,22)),'ro')
plotmin = min(min([exp(Y(:,22)),exp(Yhat(:,22))])) ;
plotmax = max(max([exp(Y(:,22)),exp(Yhat(:,22))])) ;
xlabel('True APD_h_y_p_e_r')
ylabel('Predicted APD_h_y_p_e_r')
title(['R^2 = ',num2str(R2each(22))])
axis([plotmin plotmax plotmin plotmax])
plot([plotmin,plotmax],[plotmin,plotmax],'k:')
set(gca,'TickDir','Out')


figure
handle = gcf ;
set(handle,'Position',[20,20,950,950])
set(handle,'PaperPosition',[1 1 9.5 9.5]) ;


subplot(3,2,1)
hold on
plot(exp(Y(:,23)),exp(Yhat(:,23)),'ro')
plotmin = min(min([exp(Y(:,23)),exp(Yhat(:,23))])) ;
plotmax = max(max([exp(Y(:,23)),exp(Yhat(:,23))])) ;
xlabel('True Vmaxmin_h_y_p_o')
ylabel('Predicted Vmaxmin_h_y_p_o')
title(['R^2 = ',num2str(R2each(23))])
axis([plotmin plotmax plotmin plotmax])
plot([plotmin,plotmax],[plotmin,plotmax],'k:')
set(gca,'TickDir','Out')

subplot(3,2,2)
hold on
plot(exp(Y(:,24)),exp(Yhat(:,24)),'ro')
plotmin = min(min([exp(Y(:,24)),exp(Yhat(:,24))])) ;
plotmax = max(max([exp(Y(:,24)),exp(Yhat(:,24))])) ;
xlabel('True Vminmax_h_y_p_o')
ylabel('Predicted Vminmax_h_y_p_o')
title(['R^2 = ',num2str(R2each(24))])
axis([plotmin plotmax plotmin plotmax])
plot([plotmin,plotmax],[plotmin,plotmax],'k:')
set(gca,'TickDir','Out')

subplot(3,2,3)
hold on
plot(exp(Y(:,25)),exp(Yhat(:,25)),'ro')
plotmin = min(min([exp(Y(:,25)),exp(Yhat(:,25))])) ;
plotmax = max(max([exp(Y(:,25)),exp(Yhat(:,25))])) ;
xlabel('True tminmax_h_y_p_o')
ylabel('Predicted tminmax_h_y_p_o')
title(['R^2 = ',num2str(R2each(25))])
axis([plotmin plotmax plotmin plotmax])
plot([plotmin,plotmax],[plotmin,plotmax],'k:')
set(gca,'TickDir','Out')

subplot(3,2,4)
hold on
plot(exp(Y(:,26)),exp(Yhat(:,26)),'ro')
plotmin = min(min([exp(Y(:,26)),exp(Yhat(:,26))])) ;
plotmax = max(max([exp(Y(:,26)),exp(Yhat(:,26))])) ;
xlabel('True Vmaxmin_h_y_p_e_r')
ylabel('Predicted Vmaxmin_h_y_p_e_r')
title(['R^2 = ',num2str(R2each(26))])
axis([plotmin plotmax plotmin plotmax])
plot([plotmin,plotmax],[plotmin,plotmax],'k:')
set(gca,'TickDir','Out')

subplot(3,2,5)
hold on
plot(exp(Y(:,27)),exp(Yhat(:,27)),'ro')
plotmin = min(min([exp(Y(:,27)),exp(Yhat(:,27))])) ;
plotmax = max(max([exp(Y(:,27)),exp(Yhat(:,27))])) ;
xlabel('True Vminmax_h_y_p_e_r')
ylabel('Predicted Vminmax_h_y_p_e_r')
title(['R^2 = ',num2str(R2each(27))])
axis([plotmin plotmax plotmin plotmax])
plot([plotmin,plotmax],[plotmin,plotmax],'k:')
set(gca,'TickDir','Out')

subplot(3,2,6)
hold on
plot(exp(Y(:,28)),exp(Yhat(:,28)),'ro')
plotmin = min(min([exp(Y(:,28)),exp(Yhat(:,28))])) ;
plotmax = max(max([exp(Y(:,28)),exp(Yhat(:,28))])) ;
xlabel('True tminmax_h_y_p_e_r')
ylabel('Predicted tminmax_h_y_p_e_r')
title(['R^2 = ',num2str(R2each(28))])
axis([plotmin plotmax plotmin plotmax])
plot([plotmin,plotmax],[plotmin,plotmax],'k:')
set(gca,'TickDir','Out')


figure
handle = gcf ;
set(handle,'Position',[20,20,950,950])
set(handle,'PaperPosition',[1 1 9.5 9.5]) ;

subplot(3,1,1)
hold on
plot(Y(:,29),Yhat(:,29),'ro')
plot(Y(:,29),Yhat(:,29),'ro')
plotmin = min([Y(:,29);Yhat(:,29)]) ;
plotmax = max([Y(:,29);Yhat(:,29)]) ;
xlabel('True intracellular Ca')
ylabel('Predicted intracellular Ca')
title(['R^2 = ',num2str(R2each(29))])
axis([plotmin plotmax plotmin plotmax])
plot([plotmin,plotmax],[plotmin,plotmax],'k:')
set(gca,'TickDir','Out')

subplot(3,1,2)
hold on
plot(Y(:,30),Yhat(:,30),'ro')
plot(Y(:,30),Yhat(:,30),'ro')
plotmin = min([Y(:,30);Yhat(:,30)]) ;
plotmax = max([Y(:,30);Yhat(:,30)]) ;
xlabel('True intracellular Na')
ylabel('Predicted intracellular Na')
title(['R^2 = ',num2str(R2each(30))])
axis([plotmin plotmax plotmin plotmax])
plot([plotmin,plotmax],[plotmin,plotmax],'k:')
set(gca,'TickDir','Out')

subplot(3,1,3)
hold on
plot(Y(:,31),Yhat(:,31),'ro')
plot(Y(:,31),Yhat(:,31),'ro')
plotmin = min([Y(:,31);Yhat(:,31)]) ;
plotmax = max([Y(:,31);Yhat(:,31)]) ;
xlabel('True intracellular K')
ylabel('Predicted intracellular K')
title(['R^2 = ',num2str(R2each(31))])
axis([plotmin plotmax plotmin plotmax])
plot([plotmin,plotmax],[plotmin,plotmax],'k:')
set(gca,'TickDir','Out')


figure
handle = gcf ;
set(handle,'Position',[20,20,950,950])
set(handle,'PaperPosition',[1 1 9.5 9.5]) ;

subplot(1,1,1)
hold on
plot(exp(Y(:,32)),exp(Yhat(:,32)),'ro')
plotmin = min(min([exp(Y(:,32)),exp(Yhat(:,32))])) ;
plotmax = max(max([exp(Y(:,32)),exp(Yhat(:,32))])) ;
xlabel('True frequency adaptation')
ylabel('Predicted frequency adaptation')
title(['R^2 = ',num2str(R2each(32))])
axis([plotmin plotmax plotmin plotmax])
plot([plotmin,plotmax],[plotmin,plotmax],'k:')
set(gca,'TickDir','Out')



parameternames = {'G_N_a','G_N_a_b','G_C_a','G_C_a_b','G_t_o', ...
  'G_K_r','G_K_s','G_K_1','G_p_K','K_N_a_K','K_N_C_X', ...
  'K_r_e_l_1','K_r_e_l_2','K_l_e_a_k','K_u_p','K_p_C_a'} ;


figure
handle = gcf ;
set(handle,'Position',[20,20,950,950])
set(handle,'PaperPosition',[1 1 9.5 9.5]) ;

graypos = [201/256*ones(256,1),201/256*ones(256,1),201/256*ones(256,1)] ;
subplot(2,2,1)
bar(Bpls(:,1))
axis([0.5 n_parameters+0.5 -1 1])
xticklabel_rotate([1:n_parameters],90,parameternames,'Fontsize',7,'Interpreter','tex') ;
title('APD')
set(gca,'TickDir','out')

colormap(graypos)
subplot(2,2,2)
bar(Bpls(:,2))
axis([0.5 n_parameters+0.5 -1 1])
xticklabel_rotate([1:n_parameters],90,parameternames,'Fontsize',7,'Interpreter','tex') ;
title('V_r_e_s_t')
set(gca,'TickDir','out')

colormap(graypos)
subplot(2,2,3)
bar(Bpls(:,3))
axis([0.5 n_parameters+0.5 -1 1])
xticklabel_rotate([1:n_parameters],90,parameternames,'Fontsize',7,'Interpreter','tex') ;
title('V_p_e_a_k')
set(gca,'TickDir','out')

graypos = [201/256*ones(256,1),201/256*ones(256,1),201/256*ones(256,1)] ;
subplot(2,2,4)
bar(Bpls(:,4))
axis([0.5 n_parameters+0.5 -1 1])
xticklabel_rotate([1:n_parameters],90,parameternames,'Fontsize',7,'Interpreter','tex') ;
title('upstroke')
set(gca,'TickDir','out')


colormap(graypos)
figure
handle = gcf ;
set(handle,'Position',[20,20,950,950])
set(handle,'PaperPosition',[1 1 9.5 9.5]) ;

graypos = [201/256*ones(256,1),201/256*ones(256,1),201/256*ones(256,1)] ;

subplot(3,2,1)
bar(Bpls(:,5))
axis([0.5 n_parameters+0.5 -1 1])
xticklabel_rotate([1:n_parameters],90,parameternames,'Fontsize',7,'Interpreter','tex') ;
title('D[Ca^2^+]_i')
set(gca,'TickDir','out')

colormap(graypos)
subplot(3,2,2)
bar(Bpls(:,6))
axis([0.5 n_parameters+0.5 -1 1])
xticklabel_rotate([1:n_parameters],90,parameternames,'Fontsize',7,'Interpreter','tex') ;
title('Vmaxmin')
set(gca,'TickDir','out')

colormap(graypos)
subplot(3,2,3)
bar(Bpls(:,7))
axis([0.5 n_parameters+0.5 -1 1])
xticklabel_rotate([1:n_parameters],90,parameternames,'Fontsize',7,'Interpreter','tex') ;
title('Vminmax')
set(gca,'TickDir','out')


colormap(graypos)
subplot(3,2,4)
bar(Bpls(:,8))
axis([0.5 n_parameters+0.5 -1 1])
xticklabel_rotate([1:n_parameters],90,parameternames,'Fontsize',7,'Interpreter','tex') ;
title('tminmax')
set(gca,'TickDir','out')

colormap(graypos)
subplot(3,2,5)
bar(Bpls(:,9))
axis([0.5 n_parameters+0.5 -1 1])
xticklabel_rotate([1:n_parameters],90,parameternames,'Fontsize',7,'Interpreter','tex') ;
title('BCL')
set(gca,'TickDir','out')

colormap(graypos)
subplot(3,2,6)
bar(Bpls(:,10))
axis([0.5 n_parameters+0.5 -1 1])
xticklabel_rotate([1:n_parameters],90,parameternames,'Fontsize',7,'Interpreter','tex') ;
title('Ithresh')
set(gca,'TickDir','out')



colormap(graypos)
figure
handle = gcf ;
set(handle,'Position',[20,20,950,950])
set(handle,'PaperPosition',[1 1 9.5 9.5]) ;

graypos = [201/256*ones(256,1),201/256*ones(256,1),201/256*ones(256,1)] ;

colormap(graypos)
subplot(2,2,1)
bar(Bpls(:,11))
axis([0.5 n_parameters+0.5 -1 1])
xticklabel_rotate([1:n_parameters],90,parameternames,'Fontsize',7,'Interpreter','tex') ;
title('maxslopes')
set(gca,'TickDir','out')


colormap(graypos)
subplot(2,2,2)
bar(Bpls(:,12))
axis([0.5 n_parameters+0.5 -1 1])
xticklabel_rotate([1:n_parameters],90,parameternames,'Fontsize',7,'Interpreter','tex') ;
title('time to peak')
set(gca,'TickDir','out')

colormap(graypos)
subplot(2,2,3)
bar(Bpls(:,13))
axis([0.5 n_parameters+0.5 -1 1])
xticklabel_rotate([1:n_parameters],90,parameternames,'Fontsize',7,'Interpreter','tex') ;
title('decay time')
set(gca,'TickDir','out')

colormap(graypos)
subplot(2,2,4)
bar(Bpls(:,14))
axis([0.5 n_parameters+0.5 -1 1])
xticklabel_rotate([1:n_parameters],90,parameternames,'Fontsize',7,'Interpreter','tex') ;
title('APD_p_a_u_s_e')
set(gca,'TickDir','out')

figure
handle = gcf ;
set(handle,'Position',[20,20,950,950])
set(handle,'PaperPosition',[1 1 9.5 9.5]) ;
graypos = [201/256*ones(256,1),201/256*ones(256,1),201/256*ones(256,1)] ;

colormap(graypos)
subplot(2,2,1)
bar(Bpls(:,15))
axis([0.5 n_parameters+0.5 -1 1])
xticklabel_rotate([1:n_parameters],90,parameternames,'Fontsize',7,'Interpreter','tex') ;
title('DCa_p_a_u_s_e')
set(gca,'TickDir','out')



colormap(graypos)
subplot(2,2,2)
bar(Bpls(:,16))
axis([0.5 n_parameters+0.5 -1 1])
xticklabel_rotate([1:n_parameters],90,parameternames,'Fontsize',7,'Interpreter','tex') ;
title('Vmaxmin_p_a_u_s_e')
set(gca,'TickDir','out')

colormap(graypos)
subplot(2,2,3)
bar(Bpls(:,17))
axis([0.5 n_parameters+0.5 -1 1])
xticklabel_rotate([1:n_parameters],90,parameternames,'Fontsize',7,'Interpreter','tex') ;
title('Vminmax_p_a_u_s_e')
set(gca,'TickDir','out')

colormap(graypos)
subplot(2,2,4)
bar(Bpls(:,18))
axis([0.5 n_parameters+0.5 -1 1])
xticklabel_rotate([1:n_parameters],90,parameternames,'Fontsize',7,'Interpreter','tex') ;
title('tminmax_p_a_u_s_e')
set(gca,'TickDir','out')

figure
handle = gcf ;
set(handle,'Position',[20,20,950,950])
set(handle,'PaperPosition',[1 1 9.5 9.5]) ;
graypos = [201/256*ones(256,1),201/256*ones(256,1),201/256*ones(256,1)] ;


colormap(graypos)
subplot(2,2,1)
bar(Bpls(:,19))
axis([0.5 n_parameters+0.5 -1 1])
xticklabel_rotate([1:n_parameters],90,parameternames,'Fontsize',7,'Interpreter','tex') ;
title('APD_d_i_f_f')
set(gca,'TickDir','out')

colormap(graypos)
subplot(2,2,2)
bar(Bpls(:,20))
axis([0.5 n_parameters+0.5 -1 1])
xticklabel_rotate([1:n_parameters],90,parameternames,'Fontsize',7,'Interpreter','tex') ;
title('DCa_d_i_f_f')
set(gca,'TickDir','out')


colormap(graypos)
subplot(2,2,3)
bar(Bpls(:,21))
axis([0.5 n_parameters+0.5 -1 1])
xticklabel_rotate([1:n_parameters],90,parameternames,'Fontsize',7,'Interpreter','tex') ;
title('APD_h_y_p_o')
set(gca,'TickDir','out')

colormap(graypos)
subplot(2,2,4)
bar(Bpls(:,22))
axis([0.5 n_parameters+0.5 -1 1])
xticklabel_rotate([1:n_parameters],90,parameternames,'Fontsize',7,'Interpreter','tex') ;
title('APD_h_y_p_e_r')
set(gca,'TickDir','out')

figure
handle = gcf ;
set(handle,'Position',[20,20,950,950])
set(handle,'PaperPosition',[1 1 9.5 9.5]) ;
graypos = [201/256*ones(256,1),201/256*ones(256,1),201/256*ones(256,1)] ;



colormap(graypos)
subplot(3,2,1)
bar(Bpls(:,23))
axis([0.5 n_parameters+0.5 -1 1])
xticklabel_rotate([1:n_parameters],90,parameternames,'Fontsize',7,'Interpreter','tex') ;
title('Vmaxmin_h_y_p_o')
set(gca,'TickDir','out')

colormap(graypos)
subplot(3,2,2)
bar(Bpls(:,24))
axis([0.5 n_parameters+0.5 -1 1])
xticklabel_rotate([1:n_parameters],90,parameternames,'Fontsize',7,'Interpreter','tex') ;
title('Vminmax_h_y_p_o')
set(gca,'TickDir','out')

colormap(graypos)
subplot(3,2,3)
bar(Bpls(:,25))
axis([0.5 n_parameters+0.5 -1 1])
xticklabel_rotate([1:n_parameters],90,parameternames,'Fontsize',7,'Interpreter','tex') ;
title('tminmax_h_y_p_o')
set(gca,'TickDir','out')

colormap(graypos)
subplot(3,2,4)
bar(Bpls(:,26))
axis([0.5 n_parameters+0.5 -1 1])
xticklabel_rotate([1:n_parameters],90,parameternames,'Fontsize',7,'Interpreter','tex') ;
title('Vmaxmin_h_y_p_e_r')
set(gca,'TickDir','out')

colormap(graypos)
subplot(3,2,5)
bar(Bpls(:,27))
axis([0.5 n_parameters+0.5 -1 1])
xticklabel_rotate([1:n_parameters],90,parameternames,'Fontsize',7,'Interpreter','tex') ;
title('Vminmax_h_y_p_e_r')
set(gca,'TickDir','out')

colormap(graypos)
subplot(3,2,6)
bar(Bpls(:,28))
axis([0.5 n_parameters+0.5 -1 1])
xticklabel_rotate([1:n_parameters],90,parameternames,'Fontsize',7,'Interpreter','tex') ;
title('tminmax_h_y_p_e_r')
set(gca,'TickDir','out')

figure
handle = gcf ;
set(handle,'Position',[20,20,950,950])
set(handle,'PaperPosition',[1 1 9.5 9.5]) ;
graypos = [201/256*ones(256,1),201/256*ones(256,1),201/256*ones(256,1)] ;


colormap(graypos)
subplot(3,1,1)
bar(Bpls(:,29))
axis([0.5 n_parameters+0.5 -1 1])
xticklabel_rotate([1:n_parameters],90,parameternames,'Fontsize',7,'Interpreter','tex') ;
title('Intracellular Ca')
set(gca,'TickDir','out')

colormap(graypos)
subplot(3,1,2)
bar(Bpls(:,30))
axis([0.5 n_parameters+0.5 -1 1])
xticklabel_rotate([1:n_parameters],90,parameternames,'Fontsize',7,'Interpreter','tex') ;
title('Intracellular Na')
set(gca,'TickDir','out')

colormap(graypos)
subplot(3,1,3)
bar(Bpls(:,31))
axis([0.5 n_parameters+0.5 -1 1])
xticklabel_rotate([1:n_parameters],90,parameternames,'Fontsize',7,'Interpreter','tex') ;
title('Intracellular K')
set(gca,'TickDir','out')

figure
handle = gcf ;
set(handle,'Position',[20,20,950,950])
set(handle,'PaperPosition',[1 1 9.5 9.5]) ;
graypos = [201/256*ones(256,1),201/256*ones(256,1),201/256*ones(256,1)] ;

colormap(graypos)
subplot(1,1,1)
bar(Bpls(:,32))
axis([0.5 n_parameters+0.5 -1 1])
xticklabel_rotate([1:n_parameters],90,parameternames,'Fontsize',7,'Interpreter','tex') ;
title('frequency adaptation')
set(gca,'TickDir','out')

colormap(graypos)
print -depsc bargraphs_tt_1




